EventEnquiry

Create event enquiry

post
/api/ConsumerApi/v1/Restaurant/{micrositeName}/EventEnquiry

Creates a new event enquiry. If the enquiry is created successfully, the "RequestStatus" property will contain "Success", otherwise it will contain a code explaining why the enquiry could not be created.

If the request could not be created because there is no availability in the restaurant, the "RequestStatus" property will be set to "NoAvailability", and the "SearchStatus" property will be populated with a status code indicating why there is no availability.

Authorizations
HTTPRequired

Bearer token using a JWT

Path parameters
micrositeNamestringRequired

The restaurant microsite name.

Query parameters
api-versionstringOptional
Body

A request used to make a new event enquiry.

PartySizeinteger · int32Required

The party size.

VisitDatestring · date-timeRequired

The visit date.

VisitTimestringRequired

The visit time.

CustomerCommentsstringOptional

Any additional comments the customer wants to let the restaurant know about the event. This has a maximum length of 2000 characters. Optional.

EventTypeIdinteger · int32Optional

The id of the event type for this enquiry.

OtherEventTypeDescriptionstringOptional

The description of the other type of event when the customer selects "other".

Responses
chevron-right
200

OK

The response returned from a create event enquiry request.

RequestStatusstring · enumOptional

The request status.

Possible values:
post
/api/ConsumerApi/v1/Restaurant/{micrositeName}/EventEnquiry
200

OK

Last updated

Was this helpful?